Bug 64225 - Cannot create a second print queue
Cannot create a second print queue
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 14:28 EDT by kop
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 15:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kop 2002-04-29 14:28:41 EDT
I am running a fully patched version of Red Hat 7.2.  (As of Apr 25, 02.) 
Adding the first printer works fine. Additional printers (print queues) don't
work. If I would run
printconf or printconf-gui the printer would show up there, but attempting to
print test pages would fail. After further investigation, I found that it was
not writing anything to /etc/printcap or creating the queue directory in
/var/spool/lpd.

Simply having mpage installed does _not_ fix this problem.I have the latest
updates to 7.2 and mpage installed and still have almost the same problem.

If you, as root, create a single lpr print queue, stop and start printconf-gui,
(close the window and re-open it), create a jetdirect print queue, restart
printconf-gui (I think), delete the jetdirect queue, restart printconf, and try to
create another lpr print queue, the last print queue does not make it into
/etc/printconf or /var/spool/lpd.  It does show up in the gui through.  There
may have been some other edits of the jetdirect queue in there, maybe attempting
to change it into an lpr queue.

At this point a new queue never makes it into printcap.

Running 'printconf-backend --force-rebuild' as root updates printcap and makes
the queue directory.
Comment 1 kop 2002-04-29 15:11:22 EDT
Now that the second print queue has made it into printcap, there's no problem
adding new queue entries.  I'm afraid the problem's gone away.
Comment 2 Tim Waugh 2002-04-30 03:22:19 EDT
A heisenbug.  Please re-open if it reappears.  Thanks for reporting it.

Note You need to log in before you can comment on or make changes to this bug.